lastwords(1m)

NAME
lastwords - print syscalls before exit. Uses DTrace.

SYNOPSIS
lastwords command

DESCRIPTION
This prints the last few system calls for processes matching the given name, when they exit. This makes use of a ring buffer so that the impact on the system is minimised. Since this uses DTrace, only users with root privileges can run this command.

EXAMPLES

Catch last few syscalls for dying netscape processes,
    # lastwords netscape

FIELDS

TIME
    time of syscall return, ns

PID process ID

EXEC
    process name (execname)

SYSCALL
    system call

RETURN
    return value for the system call

ERR errno for the system call

BASED ON
/usr/demo/dtrace/ring.d

DOCUMENTATION
DTrace Guide "Buffers and Buffering" chapter (docs.sun.com) See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
lastwords will sample until a command with that name exits.

SEE ALSO
dtruss(1M), dtrace(1M)